@import "~scss/variables";

.sw-cms-el-config-ext-slider {
    .sw-cms-el-config-ext-slider__tabs {
        .sw-cms-el-config-ext-slider__tab-content {
            .sw-cms-el-config-ext-slider__products {
                margin-bottom: 22px;
            }
        }

        .sw-cms-el-config-ext-slider__tab-settings {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(185px, 305px));
            gap: 0 30px;
        }
    }

    .sw-select-result .sw-select-result__result-item-text {
        display: block;

        .sw-highlight-text {
            display: inline;
        }

        .sw-cms-el-config-ext-slider__select-product-number {
            display: inline;
            color: $color-gray-400;
            margin-left: 10px;
        }
    }

    .sw-label {
        .sw-product-variant-info {
            max-width: 180px;
        }
    }

    .sw-cms-el-config-ext-slider__product-stream-performance-hint {
        width: 100%;
    }

    .sw-cms-el-config-ext-slider__product-stream-preview-link-container {
        margin-top: -20px;
        text-align: right;
    }

    .sw-cms-el-config-ext-slider__product-stream-preview-link {
        font-size: $font-size-xs;
        text-decoration: none;

        &.is--disabled {
            opacity: 0.5;
            cursor: default;
            pointer-events: none;
        }
    }
}

.sw-modal.sw-cms-el-config-ext-slider__product-stream-preview-modal {
    .sw-modal__body {
        padding: 0;
    }

    .sw-product-stream-grid-preview__toolbar {
        border-top: 0;
    }
}
